/*                                       
 * 
 * msg_nbr.h -- Utilities to output error messages. Obsolete.
 * 
 * Author          : Jaccard Pierre
 * Created On      : 1999/02/05 18:27:39
 * Last Modified By: Jaccard Pierre
 * Last Modified On: 1999/02/05 18:28:45
 * Update Count    : 1
 * Directory       : /data1/jaccard/codas3/gfi/include/
 * Status          : These functions will soon become obsolete.
 */

#ifdef   msg_nbr_already_included
/*#warning File msg_nbr.h already included*/
#else
#define  msg_nbr_already_included


#include <dbext.h>
#include <ioserv.h>
#include <gfidcl.h>

/* ------------------------------------------------------------------ 
	 The next macro defines the number of types used for the runtime information
	 function [[short_info]].
	 ------------------------------------------------------------------ */

#define NBR_INFOS_TYPES_MAX 10

/* ##################################################################
	 -Functions:
	 ################################################################## */

#if PROTOTYPE_ALLOWED
int short_info(void *info, int type);
#else
int short_info();
#endif

#if PROTOTYPE_ALLOWED
int infos_per_line(int num, int type);
#else
int infos_per_line();
#endif

#if PROTOTYPE_ALLOWED
int error_msg(char *in_func, char *msg);
#else
	int error_msg();
#endif

#if PROTOTYPE_ALLOWED
int warning_msg(char *in_func, char *msg);
#else
int warning_msg();
#endif


#endif /* msg_nbr_already_included */
